package de.samdev.colorrunner.game.world.entities.gameentities.controller;

import de.samdev.colorrunner.game.world.entities.gameentities.ControllingType;
import de.samdev.colorrunner.game.world.entities.gameentities.PlayerEntity;

public abstract class AbstractPlayerController {
	public float GRAVITY_FORCE = 700f;
	public final static float TERMINAL_VELOCITY = 900f;

	public final static float PLAYER_JUMP_FORCE_INITIAL = 200f;
	public final static float PLAYER_JUMP_FORCE_AIR = 500f;
	public final static float PLAYER_FLY_UP_FORCE = 350f;

	protected final PlayerEntity Player;

	public AbstractPlayerController(PlayerEntity e) {
		Player = e;
	}

	public abstract void update(float delta);
	public abstract ControllingType getControllerType();

	public abstract void jumpPressed();
}
